Trillian MSN Overflow

High Nessus Plugin ID 14686


The remote host has an application that is affected by a buffer overflow vulnerability.


Trillian is a Peer2Peer client that allows users to chat and share files with other users across the world. A bug has been reported in the MSN portion of Trillian.

A remote attacker, exploiting this flaw, would be potentially able to execute code on the client system running Trillian.


Upgrade to Trillian 0.74 patch J (or higher).

Plugin Details

Severity: High

ID: 14686

File Name: trillian_msn_overflow.nasl

Version: $Revision: 1.12 $

Type: local

Agent: windows

Family: Windows

Published: 2004/09/08

Modified: 2011/04/13

Dependencies: 12076

Risk Information

Risk Factor: High


Base Score: 7.5

Temporal Score: 7.1

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:F/RL:U/RC:ND

Vulnerability Information

CPE: cpe:/a:trillian:trillian

Required KB Items: Host/Windows/Trillian/Version

Exploit Available: true

Exploit Ease: Exploits are available

Vulnerability Publication Date: 2004/09/08

Reference Information

CVE: CVE-2004-1666

BID: 11142

OSVDB: 9777